module RESET_DELY ( 
   input BUTTON_N  , 
	input OSC_50 , 
   output RESET_N_DY  
) ; 

parameter SEC = 50000000 ; 
parameter SEC10 = 10*SEC  ; 

//=======================================================
//  REG/WIRE declarations
//=======================================================
reg [31:0] DELAY_CNT  ; 
  
//=======================================================
//  Structural coding
//=======================================================	

assign RESET_N_DY =( ( DELAY_CNT>1*SEC ) &&  ( DELAY_CNT<2*SEC ) )?0:1 ; 

always @(negedge  BUTTON_N or posedge OSC_50  ) 
 if (  !BUTTON_N ) begin 
     DELAY_CNT<=0;
   
 end
 else  begin 
    if  ( DELAY_CNT < SEC10 ) DELAY_CNT <= DELAY_CNT+1; 
 end 
 
endmodule 