#**************************************************************
# This .sdc file is created by Terasic Tool.
# Users are recommended to modify this file to match users logic.
#**************************************************************

#**************************************************************
# Create Clock
#**************************************************************
# CLOCK
create_clock -period 20.000ns [get_ports OSC_50_B3B]
create_clock -period 20.000ns [get_ports OSC_50_B4A]
create_clock -period 20.000ns [get_ports OSC_50_B4D]
create_clock -period 20.000ns [get_ports OSC_50_B7A]
create_clock -period 20.000ns [get_ports OSC_50_B7D]
create_clock -period 20.000ns [get_ports OSC_50_B8A]
create_clock -period 20.000ns [get_ports OSC_50_B8D]



create_clock -period "125.000000 MHz" -name FPGA_CLK_ADC1_p [get_ports FPGA_CLK_ADC1_p ]
#create_clock -period "125.000000 MHz" -name FPGA_CLK_ADC1_n [get_ports FPGA_CLK_ADC1_n ]
create_clock -period "125.000000 MHz" -name FPGA_CLK_ADC2_p [get_ports FPGA_CLK_ADC2_p]
#create_clock -period "125.000000 MHz" -name FPGA_CLK_ADC2_n [get_ports FPGA_CLK_ADC2_n]

create_clock -period "125.000000 MHz" -name ADC_A_DCOA [get_ports ADC_A_DCOA ]
create_clock -period "125.000000 MHz" -name ADC_B_DCOB [get_ports ADC_B_DCOB ]
create_clock -period "125.000000 MHz" -name ADC_C_DCOC [get_ports ADC_C_DCOC ]
create_clock -period "125.000000 MHz" -name ADC_D_DCOD [get_ports ADC_D_DCOD ]
#
create_clock -period "125.000000 MHz" -name ADC_A_DCOA_ext
create_clock -period "125.000000 MHz" -name ADC_B_DCOB_ext
create_clock -period "125.000000 MHz" -name ADC_C_DCOC_ext
create_clock -period "125.000000 MHz" -name ADC_D_DCOD_ext
#
#
set_input_delay  -clock ADC_A_DCOA_ext -max  1.0 [get_ports {ADC_A_D*}] -clock_fall 
set_input_delay  -clock ADC_A_DCOA_ext -min  -1.2 [get_ports {ADC_A_D*}] -clock_fall
#
set_input_delay  -clock ADC_B_DCOB_ext -max  1.0 [get_ports {ADC_B_D*}] -clock_fall 
set_input_delay  -clock ADC_B_DCOB_ext -min  -1.2 [get_ports {ADC_B_D*}] -clock_fall
#
set_input_delay  -clock ADC_C_DCOC_ext -max  1.0 [get_ports {ADC_C_D*}] -clock_fall 
set_input_delay  -clock ADC_C_DCOC_ext -min  -1.2 [get_ports {ADC_C_D*}] -clock_fall
#
set_input_delay  -clock ADC_D_DCOD_ext -max  1.0 [get_ports {ADC_D_D*}] -clock_fall 
set_input_delay  -clock ADC_D_DCOD_ext -min  -1.2 [get_ports {ADC_D_D*}] -clock_fall