module FIFO ( 
input          aclr, 
input          wrclk     ,  
input  [13:0]  data , 
output [13:0]  q , 


output [4:0]  wrusedw,
output        wrfull,
output        rdempty,
output  reg   rdreq,
input         rdclk 

);



//-----fifo
FIO  ch(
		.data    ( data  ),    
		.wrreq   ( 1),
		.rdreq   ( rdreq ),
		.wrclk   ( wrclk ),   //          
		.rdclk   ( rdclk ),               
		.aclr    ( aclr  ),    
		.q       ( q     ),       
		.wrusedw ( wrusedw), 
		.rdempty ( rdempty), 
		.wrfull  ( wrfull)   
	);

//fifo read start 
always @(posedge wrclk or posedge aclr)
begin
	if (aclr)
		 rdreq <= 1'b0;
	else if ( wrusedw > 10)
		 rdreq <= 1'b1;
end

endmodule 
