#**************************************************************
# This .sdc file is created by Terasic Tool.
# Users are recommended to modify this file to match users logic.
#**************************************************************

#**************************************************************
# Create Clock
#**************************************************************
create_clock -period "100.00000 MHz" [get_ports CLKUSR_100]
create_clock -period "50.00000 MHz" [get_ports CLK_50_B2A]
create_clock -period "50.00000 MHz" [get_ports CLK_50_B2H]
create_clock -period "50.00000 MHz" [get_ports CLK_50_B3F]
create_clock -period "50.00000 MHz" [get_ports CLK_50_B3H]
create_clock -period "125.00000 MHz" [get_ports FMC_REFCLK_p]



create_clock -period "125.000000 MHz" -name SMA_CLKOUT_p [get_ports SMA_CLKOUT_p ]


create_clock -period "125.000000 MHz" -name FPGA_CLK_ADC1_p [get_ports FPGA_CLK_ADC1_p ]
#create_clock -period "125.000000 MHz" -name FPGA_CLK_ADC1_n [get_ports FPGA_CLK_ADC1_n ]
create_clock -period "125.000000 MHz" -name FPGA_CLK_ADC2_p [get_ports FPGA_CLK_ADC2_p]
#create_clock -period "125.000000 MHz" -name FPGA_CLK_ADC2_n [get_ports FPGA_CLK_ADC2_n]

create_clock -period "125.000000 MHz" -name ADC_A_DCOA [get_ports ADC_A_DCOA ]
create_clock -period "125.000000 MHz" -name ADC_B_DCOB [get_ports ADC_B_DCOB ]
create_clock -period "125.000000 MHz" -name ADC_C_DCOC [get_ports ADC_C_DCOC ]
create_clock -period "125.000000 MHz" -name ADC_D_DCOD [get_ports ADC_D_DCOD ]
#
create_clock -period "125.000000 MHz" -name ADC_A_DCOA_ext
create_clock -period "125.000000 MHz" -name ADC_B_DCOB_ext
create_clock -period "125.000000 MHz" -name ADC_C_DCOC_ext
create_clock -period "125.000000 MHz" -name ADC_D_DCOD_ext
#
#
#set_input_delay  -clock ADC_A_DCOA_ext -max  1.0 [get_ports {ADC_A_D*}] -clock_fall 
#set_input_delay  -clock ADC_A_DCOA_ext -min  -1.2 [get_ports {ADC_A_D*}] -clock_fall
##
#set_input_delay  -clock ADC_B_DCOB_ext -max  1.0 [get_ports {ADC_B_D*}] -clock_fall 
#set_input_delay  -clock ADC_B_DCOB_ext -min  -1.2 [get_ports {ADC_B_D*}] -clock_fall
##
#set_input_delay  -clock ADC_C_DCOC_ext -max  1.0 [get_ports {ADC_C_D*}] -clock_fall 
#set_input_delay  -clock ADC_C_DCOC_ext -min  -1.2 [get_ports {ADC_C_D*}] -clock_fall
##
#set_input_delay  -clock ADC_D_DCOD_ext -max  1.0 [get_ports {ADC_D_D*}] -clock_fall 
#set_input_delay  -clock ADC_D_DCOD_ext -min  -1.2 [get_ports {ADC_D_D*}] -clock_fall


# for enhancing USB BlasterII to be reliable, 25MHz
create_clock -name {altera_reserved_tck} -period 40 {altera_reserved_tck}
set_input_delay -clock altera_reserved_tck -clock_fall 3 [get_ports altera_reserved_tdi]
set_input_delay -clock altera_reserved_tck -clock_fall 3 [get_ports altera_reserved_tms]
set_output_delay -clock altera_reserved_tck 3 [get_ports altera_reserved_tdo]

#**************************************************************
# Create Generated Clock
#**************************************************************
derive_pll_clocks



#**************************************************************
# Set Clock Latency
#**************************************************************



#**************************************************************
# Set Clock Uncertainty
#**************************************************************
derive_clock_uncertainty



#**************************************************************
# Set Input Delay
#**************************************************************



#**************************************************************
# Set Output Delay
#**************************************************************



#**************************************************************
# Set Clock Groups
#**************************************************************



#**************************************************************
# Set False Path
#**************************************************************



#**************************************************************
# Set Multicycle Path
#**************************************************************



#**************************************************************
# Set Maximum Delay
#**************************************************************



#**************************************************************
# Set Minimum Delay
#**************************************************************



#**************************************************************
# Set Input Transition
#**************************************************************



#**************************************************************
# Set Load
#**************************************************************



